Package org.osgi.annotation.bundle

# Class Export.Substitution

java.lang.Object
org.osgi.annotation.bundle.Export.Substitution

Enclosing class:
  `Export`

public static final class Export.Substitution extends Object
Substitution policy for this package.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CALCULATED`
The policy value is calculated by inspection of the classes in the package.
`static final String`
`CONSUMER`
Use a consumer type version range for the import package clause when substitutably importing a package.
`static final String`
`NOIMPORT`
The package must not be substitutably imported.
`static final String`
`PROVIDER`
Use a provider type version range for the import package clause when substitutably importing a package.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CONSUMER

public static final String CONSUMER
Use a consumer type version range for the import package clause when substitutably importing a package.

See Also:
  - `ConsumerType`
  - Constant Field Values

### PROVIDER

public static final String PROVIDER
Use a provider type version range for the import package clause when substitutably importing a package.

See Also:
  - `ProviderType`
  - Constant Field Values

### NOIMPORT

public static final String NOIMPORT
The package must not be substitutably imported.

See Also:
  - Constant Field Values

### CALCULATED

public static final String CALCULATED
The policy value is calculated by inspection of the classes in the package.

See Also:
  - Constant Field Values